/*
 * Definitions for libphdi
 *
 * Copyright (C) 2015-2019, Joachim Metz <joachim.metz@gmail.com>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined( _LIBPHDI_DEFINITIONS_H )
#define _LIBPHDI_DEFINITIONS_H

#include <libphdi/types.h>

#define LIBPHDI_VERSION			20190506

/* The version string
 */
#define LIBPHDI_VERSION_STRING		"20190506"

/* The access flags definitions
 * bit 1        set to 1 for read access
 * bit 2        set to 1 for write access
 * bit 3-8      not used
 */
enum LIBPHDI_ACCESS_FLAGS
{
	LIBPHDI_ACCESS_FLAG_READ	= 0x01,
/* Reserved: not supported yet */
	LIBPHDI_ACCESS_FLAG_WRITE	= 0x02
};

/* The file access macros
 */
#define LIBPHDI_OPEN_READ		( LIBPHDI_ACCESS_FLAG_READ )
/* Reserved: not supported yet */
#define LIBPHDI_OPEN_WRITE		( LIBPHDI_ACCESS_FLAG_WRITE )
/* Reserved: not supported yet */
#define LIBPHDI_OPEN_READ_WRITE		( LIBPHDI_ACCESS_FLAG_READ | LIBPHDI_ACCESS_FLAG_WRITE )

/* The disk type definitions
 */
enum LIBPHDI_DISK_TYPES
{
	LIBPHDI_DISK_TYPE_FIXED		= 0x00000002UL,
	LIBPHDI_DISK_TYPE_DYNAMIC	= 0x00000003UL,
	LIBPHDI_DISK_TYPE_DIFFERENTIAL	= 0x00000004UL,
};

#endif /* !defined( _LIBPHDI_DEFINITIONS_H ) */

